Bug 11940 - CTDB fails to recover large database
CTDB fails to recover large database
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.4.x
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11941
  Show dependency treegraph
 
Reported: 2016-05-31 04:40 UTC by Martin Schwenke
Modified: 2016-06-15 09:28 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-4 branch (179.08 KB, patch)
2016-06-09 04:10 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-05-31 04:40:08 UTC
If the size of the contents of a database exceeds the talloc size limit then the database can not be recovered.
Comment 1 Martin Schwenke 2016-05-31 04:41:43 UTC
Should include the changes for control timeout here.
Comment 2 Amitay Isaacs 2016-06-09 04:10:39 UTC
Created attachment 12169 [details]
Patches for v4-4 branch
Comment 3 Martin Schwenke 2016-06-09 10:47:34 UTC
Hi Karolin.  This is ready to go into 4.4.  Thanks...
Comment 4 Karolin Seeger 2016-06-09 10:55:58 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-4-test.
Comment 5 Karolin Seeger 2016-06-15 09:28:16 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-4-test.
Closing out bug report.

Thanks!